##################################################
# Search the AD cache, filter out the DN obj by email first, then filter out the SAM account ID by DN
# Usage: ruby filter_email.rb [file_emails]
# file_emails contains a list of emails one entry per line

require "ucert"

k=Ucert::AdTracker.new(:verbose=>false)
File.open(ARGV[0],'r').each do |line|
  #puts "Processing: #{line}"
  email=line.chomp.strip
  my_dn=k.ad_search_by_text(email,"person")
  my_record=k.get_ad_record(my_dn)
  my_id=k.get_sam_id(my_dn)
  my_name=k.get_cn(my_dn)
  my_department=k.get_department(my_dn)

  puts my_id
end
